View Issue Details

IDProjectCategoryView StatusLast Update
0003361GNUnetcadet servicepublic2018-06-07 00:25
ReporterMatthias WachsAssigned ToBart Polot 
PriorityurgentSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003361: Crash in mesh
DescriptionMultiple crashes in mesh over the weekend, running revision 32887, ~ Apr 7 08:38:

Reading symbols from /home/mwachs/coding/gnunet/src/mesh/.libs/gnunet-service-mesh...done.

warning: core file may not match specified executable file.
[New LWP 27704]

warning: Can't read pathname for load map: Input/output error.
Core was generated by `/home/mwachs/coding/gnb/lib//gnunet/libexec/gnunet-service-mesh -c /home/mwachs'.
Program terminated with signal 11, Segmentation fault.
#0 0x000000000040d35a in get_prev_hop (c=0x89f6f0) at gnunet-service-mesh_connection.c:696
696 if (0 == c->own_pos || c->path->length < 2)
(gdb) bt
#0 0x000000000040d35a in get_prev_hop (c=0x89f6f0) at gnunet-service-mesh_connection.c:696
#1 0x000000000040d661 in get_hop (c=0x89f6f0, fwd=0) at gnunet-service-mesh_connection.c:747
#2 0x000000000040d825 in send_connection_ack (connection=0x89f6f0, fwd=0) at gnunet-service-mesh_connection.c:796
#3 0x0000000000410641 in GMC_handle_create (cls=0x0, peer=0x7fffb6d005c4, message=0x7fffb6d005e4)
    at gnunet-service-mesh_connection.c:1604
#4 0x00007f93b69bba97 in main_notify_handler (cls=0x87a280, msg=0x7fffb6d005c0) at core_api.c:942
#5 0x00007f93b6de4c5f in receive_task (cls=0x879b40, tc=0x7fffb6d00750) at client.c:595
#6 0x00007f93b6e200d4 in run_ready (rs=0x88c460, ws=0x88c4f0) at scheduler.c:595
#7 0x00007f93b6e2095c in GNUNET_SCHEDULER_run (task=0x7f93b6e2cdd6 <service_task>, task_cls=0x7fffb6d009e0) at scheduler.c:817
#8 0x00007f93b6e2ebbe in GNUNET_SERVICE_run (argc=3, argv=0x7fffb6d00d58, service_name=0x42f601 "mesh",
    options=GNUNET_SERVICE_OPTION_NONE, task=0x42a100 <run>, task_cls=0x0) at service.c:1493
#9 0x000000000042a488 in main (argc=3, argv=0x7fffb6d00d58) at gnunet-service-mesh.c:175
(gdb)

TagsNo tags attached.

Relationships

related to 0003373 closedBart Polot segfault in mesh service 
related to 0003360 closedBart Polot Crash with mesh 

Activities

Matthias Wachs

2014-04-07 09:17

manager   ~0008191

0000008:0000005 crashes in 4 days

Bart Polot

2014-04-07 11:03

reporter   ~0008193

Could you provide "p/x *c" and "p/x *c->path", in level 0? Thanks!

Bart Polot

2014-04-10 17:40

reporter   ~0008233

Fixed in r33030.

Issue History

Date Modified Username Field Change
2014-04-07 09:14 Matthias Wachs New Issue
2014-04-07 09:14 Matthias Wachs Status new => assigned
2014-04-07 09:14 Matthias Wachs Assigned To => Bart Polot
2014-04-07 09:15 Matthias Wachs Description Updated View Revisions
2014-04-07 09:17 Matthias Wachs Note Added: 0008191
2014-04-07 10:32 Christian Grothoff Priority normal => urgent
2014-04-07 10:32 Christian Grothoff Severity minor => crash
2014-04-07 10:32 Christian Grothoff Product Version => SVN HEAD
2014-04-07 10:32 Christian Grothoff Target Version => 0.10.1
2014-04-07 11:03 Bart Polot Note Added: 0008193
2014-04-07 11:03 Bart Polot Status assigned => feedback
2014-04-07 20:36 Christian Grothoff Target Version 0.10.1 =>
2014-04-09 15:34 Bart Polot Relationship added related to 0003373
2014-04-10 17:40 Bart Polot Note Added: 0008233
2014-04-10 17:40 Bart Polot Status feedback => resolved
2014-04-10 17:40 Bart Polot Fixed in Version => SVN HEAD
2014-04-10 17:40 Bart Polot Resolution open => fixed
2014-04-10 19:10 Christian Grothoff Fixed in Version SVN HEAD => 0.11.0pre66
2014-04-10 19:10 Christian Grothoff Target Version => 0.11.0pre66
2014-04-14 14:15 Bart Polot Relationship added related to 0003360
2014-05-09 18:34 Christian Grothoff Category mesh service => cadet service
2018-06-07 00:25 Christian Grothoff Status resolved => closed